-- phpMyAdmin SQL Dump
-- version 2.11.7.1
-- http://www.phpmyadmin.net
--
-- Serveur: localhost
-- Version du serveur: 5.0.41
-- Version de PHP: 4.4.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

-- --------------------------------------------------------

--
-- Structure de la table `demo_budget`
--

CREATE TABLE `demo_budget` (
  `rowid` int(10) NOT NULL auto_increment,
  `budget_id` varchar(10) collate latin1_general_ci default NULL,
  `description` varchar(40) collate latin1_general_ci default NULL,
  `unit_price` bigint(10) default NULL,
  `quantity` bigint(10) default NULL,
  `total_cost[3*4]` bigint(10) default NULL,
  PRIMARY KEY  (`rowid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=38 ;

--
-- Contenu de la table `demo_budget`
--

INSERT INTO `demo_budget` VALUES(32, 'EDF', 'electricity', 50, 12, 0);
INSERT INTO `demo_budget` VALUES(34, 'INTERNET', 'Free Telecom subscription', 37, 30, 0);
INSERT INTO `demo_budget` VALUES(35, 'COMRENT', 'cmmercial rent', 1200, 1, 0);
INSERT INTO `demo_budget` VALUES(36, 'CARRENT', 'car rent', 307, 1, 0);

-- --------------------------------------------------------

--
-- Structure de la table `demo_customers`
--

CREATE TABLE `demo_customers` (
  `rowid` int(10) NOT NULL auto_increment,
  `customer_id` varchar(10) collate latin1_general_ci default NULL,
  `name` varchar(15) collate latin1_general_ci default NULL,
  `first_name` varchar(20) collate latin1_general_ci default NULL,
  `phone` varchar(20) collate latin1_general_ci default NULL,
  `address` varchar(50) collate latin1_general_ci default NULL,
  `email` varchar(50) collate latin1_general_ci default NULL,
  `loyalty` varchar(6) collate latin1_general_ci default NULL,
  `country` varchar(20) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`rowid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=110 ;

--
-- Contenu de la table `demo_customers`
--

INSERT INTO `demo_customers` VALUES(109, 'TSMITH', 'Smith', 'Tom', '000112456879', '5th Avenue New York USA', 'tom.smith@aol.com', '*', 'USA');
INSERT INTO `demo_customers` VALUES(108, 'JDUP', 'Dupont', 'Jean', '0154659878', '9 rue Charles de Gaulle 92300 Levallois-Perret', 'jean.dupont@net.com', '***', 'FR');

-- --------------------------------------------------------

--
-- Structure de la table `demo_products`
--

CREATE TABLE `demo_products` (
  `rowid` int(10) NOT NULL auto_increment,
  `product_id` varchar(10) collate latin1_general_ci default NULL,
  `name` varchar(40) collate latin1_general_ci default NULL,
  `supplier` varchar(20) collate latin1_general_ci default NULL,
  `description` varchar(50) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`rowid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=128 ;

--
-- Contenu de la table `demo_products`
--

INSERT INTO `demo_products` VALUES(108, 'TSCOOL', 'T-Shirt Cool', 't-s.fr', 'A very cool t-shirt');
INSERT INTO `demo_products` VALUES(109, 'ITASS', 'Computer  assistance', 'lemon data', 'Web site administration');

-- --------------------------------------------------------

--
-- Structure de la table `demo_sales`
--

CREATE TABLE `demo_sales` (
  `rowid` int(10) NOT NULL auto_increment,
  `vendor_id` varchar(20) collate latin1_general_ci default NULL,
  `product` varchar(20) collate latin1_general_ci default NULL,
  `customer` varchar(20) collate latin1_general_ci default NULL,
  `sale_price` bigint(10) default NULL,
  `purchase_price` bigint(10) default NULL,
  `profit[4-5]` bigint(10) default NULL,
  PRIMARY KEY  (`rowid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=38 ;

--
-- Contenu de la table `demo_sales`
--

INSERT INTO `demo_sales` VALUES(34, 'JOHN JOHN', 'ITASS', 'JDUPON', 1000, 850, 0);
INSERT INTO `demo_sales` VALUES(32, 'KILLER', 'TSCOOL', 'TSMITH', 100, 50, 0);
INSERT INTO `demo_sales` VALUES(35, 'KILLER', 'ITASS', 'EDF', 15000, 500, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `demo_vendors`
--

CREATE TABLE `demo_vendors` (
  `rowid` int(10) NOT NULL auto_increment,
  `vendor_id` varchar(10) collate latin1_general_ci default NULL,
  `name` varchar(15) collate latin1_general_ci default NULL,
  `first_name` varchar(20) collate latin1_general_ci default NULL,
  `phone` varchar(20) collate latin1_general_ci default NULL,
  `address` varchar(50) collate latin1_general_ci default NULL,
  `email` varchar(50) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`rowid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=122 ;

--
-- Contenu de la table `demo_vendors`
--

INSERT INTO `demo_vendors` VALUES(108, 'KILLER', 'Convenant', 'Jean-Claude', '015465458', '8 avenue Foche 75008 PARIS', 'jc.convenant@alice.com');
INSERT INTO `demo_vendors` VALUES(109, 'MBLANC', 'Blanc', 'Marcel', '01324521', '45 rue George Pompidou 92120 MONTROUGE', 'marcel.blanc@cretin.fr');
INSERT INTO `demo_vendors` VALUES(110, 'TRUCMUCH', 'Much', 'Truc', '+33600000007', 'truc.much@stuff.tv', NULL);
INSERT INTO `demo_vendors` VALUES(111, 'NSALER', 'Saler', 'New', '+00146541848', 'New york', 'new.saler@lemondata.com');
INSERT INTO `demo_vendors` VALUES(121, NULL, 'a', NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `_moj_dashboards`
--

CREATE TABLE `_moj_dashboards` (
  `id_user` varchar(20) NOT NULL,
  `c1` varchar(30) NOT NULL,
  `c2` varchar(30) NOT NULL,
  `c3` varchar(30) NOT NULL,
  `c4` varchar(30) NOT NULL,
  `c5` varchar(30) NOT NULL,
  `c6` varchar(30) NOT NULL,
  `nbPortlets` int(11) default NULL,
  `lastValUnivers` int(11) NOT NULL,
  `lastValTable` int(11) NOT NULL,
  PRIMARY KEY  (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_moj_dashboards`
--

INSERT INTO `_moj_dashboards` VALUES('visitor', 'demo_budget', 'demo_customers', 'demo_sales', '_Stats BUSINESS', 'demo_products', 'demo_vendors', 6, 0, 4);

-- --------------------------------------------------------

--
-- Structure de la table `_moj_univers`
--

CREATE TABLE `_moj_univers` (
  `id_univers` varchar(20) NOT NULL,
  `title` varchar(30) NOT NULL,
  PRIMARY KEY  (`id_univers`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_moj_univers`
--

INSERT INTO `_moj_univers` VALUES('BUSINESS', 'Business activity');
INSERT INTO `_moj_univers` VALUES('BACKOFFICE', 'Back office');

-- --------------------------------------------------------

--
-- Structure de la table `_moj_univers_access`
--

CREATE TABLE `_moj_univers_access` (
  `id_univers` varchar(20) NOT NULL,
  `user` varchar(20) NOT NULL,
  KEY `id_univers` (`id_univers`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_moj_univers_access`
--

-- --------------------------------------------------------

--
-- Structure de la table `_moj_univers_tables`
--

CREATE TABLE `_moj_univers_tables` (
  `id_univers` varchar(20) NOT NULL,
  `table_name` varchar(30) NOT NULL,
  KEY `id_univers` (`id_univers`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_moj_univers_tables`
--

INSERT INTO `_moj_univers_tables` VALUES('BUSINESS', 'demo_products');
INSERT INTO `_moj_univers_tables` VALUES('BUSINESS', 'demo_customers');
INSERT INTO `_moj_univers_tables` VALUES('BUSINESS', 'demo_budget');
INSERT INTO `_moj_univers_tables` VALUES('BACKOFFICE', 'demo_vendors');
INSERT INTO `_moj_univers_tables` VALUES('BACKOFFICE', 'demo_budget');
INSERT INTO `_moj_univers_tables` VALUES('BUSINESS', 'demo_sales');
INSERT INTO `_moj_univers_tables` VALUES('BUSINESS', 'demo_vendors');

-- --------------------------------------------------------

--
-- Structure de la table `_moj_users`
--

CREATE TABLE `_moj_users` (
  `id_user` varchar(20) NOT NULL,
  `name` varchar(30) NOT NULL,
  `first_name` varchar(30) NOT NULL,
  `password` varchar(32) NOT NULL,
  `email` varchar(30) NOT NULL,
  PRIMARY KEY  (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_moj_users`
--

INSERT INTO `_moj_users` VALUES('visitor', 'Visitor', 'The', '127870930d65c57ee65fcc47f2170d38', '');

