<?php
include ("mysql_login.php");
include ("mysql_functions.php"); 
include ("mysql_load_table_properties.php");
?>

<html>
<head>
    <TITLE> LemonData Mojito by Matthias de Jouvencel </TITLE>
    <link rel=stylesheet href="style.css" type="text/css">
    <style type="text/css">
        @import "/js/dojo/dijit/themes/soria/tundra.css";
        @import "/js/dojo/dojox/grid/_grid/Grid.css";
        @import "/js/dojo/dojox/grid/_grid/tundraGrid.css";
        @import "/js/dojo/general.css";

        @import "/dojotoolkit/dojox/grid/_grid/nihiloGrid.css";

        .yellowColumnData {
             background-color: yellow;
             text-decoration: underline;
        }

        .yellowColumn {
             color: #006666;
        }

        .selectedRow .dojoxGrid-cell {
            background-color: #003366;
            color: white;
        }
    </style>
    

<?php include ("header.php"); ?>
  <div id="remove">
  <div id="DivLoad" style="margin-left: auto; margin-right:auto; width:90%; height:90%;">
   <table align="left" height=100% width=100%><tr><td align=center valign=center>
        <img src="mojito_lemon.gif">
        <br><img src=lemonload.gif ></br>
        <br><b><h2>A lemon cocktail is loading ...</h2></b></br>
   </td></tr></table>
  </div> 
  </div>
	<script type="text/javascript">
      // variables javascript globales
      var selectedRowId=-1 ;
      var selectedColId=-1 ;
      var selectedColName=""

      var grouped=false;
      var modif=false;
      var asc=false;
      var lastOrderedColumn=""
      var order="";

      var readOnlyCol=[];
	</script>        
    <script type="text/javascript" src="/js/dojo/dojo/dojo.js" djConfig="isDebug:false, parseOnLoad:true, usePlainJson:true"></script>
    <script type="text/javascript">
        dojo.require("dojo.parser");
        dojo.require("dojox.grid.Grid");
        dojo.require("dojox.grid._data.model");
        dojo.require("dojo.NodeList-fx");
        dojo.require("dojox.grid._grid.publicEvents");

        dojo.require("dojox.grid._data.dijitEditors");

        //var readOnlyAttr = "cellClasses: 'yellowColumnData', classes: 'yellowColumn'";
        //var updateAttr   = "editor: dojox.grid.editors.Dijit";

        <?php
            # stockage des noms des colonnes dans un tableau javascript
            $column_names="'',";
            for ($col=1;$col<count($colName);$col++) {
                $column_names = $column_names."'".preg_replace ("/\[.*\]/","", $colName [$col])."'" ;
                if ( $col < count ($colName) - 1 ) {
                    $column_names = $column_names."," ;
                }
            }
            echo "var column_names = new Array (".$column_names.") ;\n" ;
        ?>

        function onStyleRow(inRow) {
			//console.log ("onStyleRow"+modif);
			if (modif) {
				modif=false;
				doReload ();
			}
            with (inRow) {
              var i = index % 10;
              var special = (i > 2 && i < 6);
              if (odd)
                customStyles += ' color: orange;';
              if (selected)
                customClasses += ' selectedRow';
              if (special)
                customClasses += ' specialRow';
              if (over)
                customClasses += ' overRow';
              if (!over && !selected)
                dojox.Grid.prototype.onStyleRow.apply(this, arguments);
            }
       }
      
        // DOJO events
        dojo.addOnLoad (
            function () {

                <?php if ($READ_ONLY) { ?>
            		dojo.byId('addbutton').disabled=true;
            		dojo.byId('delbutton').disabled=true;
                <?php }?>

            	
            	doReload();           
                dojo.connect(grid, 'onApplyCellEdit',
                    function (a,b,c) {
                        <?php if (!$READ_ONLY) { ?>
                          //console.debug ("c="+c);                            
                            var req="update <?php echo $t ?> set " + column_names [c] + "= '" + a + "' where rowid='" + data [b][0] + "'";
                            //console.debug (req) ;
                                    dojo.xhrPost({
                                        url:"mysql_exec.php",
                                        sync: true,
                                        content: {
                                            req:req
                                        },
                                            load: function (d) {
                                            //console.debug (d) ;
                                        }
                                });
                                // console.debug (data);
                                // console.debug ("onApplyCellEdit apres doSearch");
                                modif=true;
                                // console.log ("modif=");        
                                // console.log (modif);   
                            <?php } else {?>
								alert ("You are in READ_ONLY mode, no modifcation allowed.");	
								dojo.byId(grid).edit.cancel();
                            <?php } ?>                    
                            } ) ;
                
                
                dojo.connect(
                        grid, 'onSelected',
                        function (a) {
                            // console.debug ("onSelect " + a);
                            // console.debug ("rowid=" + data[a][0] ) ;
                            selectedRowId=data[a][0] ;
                        }
                        ) ;

                dojo.connect(
                        grid, 'onCellFocus',
                        function (a,b) {
                            selectedColId   = a.index + 1 ;
                            selectedColName = a.name ;
                            // console.debug ("selectedColId = " + selectedColId);
                            // console.debug ("selectedColName = " + selectedColName);
                        }
                        ) ;

                dojo.connect (
                        grid, 'onHeaderCellClick',
                        function (e) {
                            // console.log ("onHeaderCellClick");
                            // console.log (e.cellIndex) ;
                            columnName=column_names [e.cellIndex+1];
                            // console.log (columnName);                            
//TODO : enregistrer le sens par colonne
							if (columnName != lastOrderedColumn) {
								asc=false;
								// console.log ("col dif");
							}
							// console.log ("asc="+asc);
                            if (asc) {
                                asc=false;
                                order=columnName+"_DESC";
                            } else {
                                asc=true ;
                                order=columnName+"_ASC";
                            }
                            // console.log (asc);
                            lastOrderedColumn=columnName;
                        }
                        ) ;

                dojo.connect(
                        grid, 'onCancelEdit',
                        function (a) {
							// console.log ("onCancelEdit");
                         }
                       ) ;
            }
            );

    function deleteRow () {
        	var validation=confirm("Are you sure to want to DELETE the selected row ?");
        	if (validation) {
              var req="delete from <?php echo $t ?> where rowid = " + selectedRowId;
              // console.debug (req) ;
              dojo.xhrPost({
                  url:"mysql_exec.php",
                  sync: true,
                  content: {
                      req:req
                  },
                      load: function (d) {
                      // console.debug (d) ;
                  }
	          });
              // console.debug (data + "avant doReload");
              params = "t=<?php echo $t?>&o=rowid_DESC";
    	     doReload ();
        	 // console.debug ("apres doReload");
        	}
    }

    function aggColumn () {
        if (grouped) {
            document.getElementById ('gButton').innerHTML="Group" ;
            grouped = false ;
        } else {
            document.getElementById ('gButton').innerHTML="Ungroup" ;
            grouped = true ;
        }
        doReload ();
    }

    function addRow () {
            var req="insert into <?php echo $t ?> (" + column_names [1] + ") values (NULL)";
            // console.debug (req) ;
            dojo.xhrPost({
                url:"mysql_exec.php",
                sync: true,
                content: {
                    req:req
                },
                    load: function (d) {
                    // console.debug (d) ;
                }
        });
            // console.debug (data + "avant doReload");
            //params = "t=<?php echo $t?>&o=rowid_DESC";
          doReload () ;
          // console.debug ("apres doReload");
    }
    var columnWidths = new Array () ;

    function gridColumnWidthSave(gridName, gridId) {
        var gridNode = dojo.byId(gridId);
        if (gridNode == null) {
            return;
        }
      var i=0 ;
        dojo.query("th", gridNode).forEach(
            function(column) {
                columnWidths [i] = column.style.width ;
                i++;
                }
        );
        // console.debug (columnWidths) ;
    }

    function doReload () {
        searchText=document.getElementById('search').value ;
        // console.debug ("searchText=" + searchText) ;
        // envoie donnée à un script php
        if (searchText == "") {
            params = "t=<?php echo $t?>&o="+order  ;
        }
        else {
            params = "t=<?php echo $t?>&recherche="+searchText+"&o="+order ;
        }        
        if (grouped) {
            params = params + "&g=" + selectedColId ;
        }
		// console.debug ("doReload, params=" + params) ;
        dojo.xhrGet({
           url:"mysql_read_table.php?"+params,
           sync: true,
           handleAs: 'json',
           load: function(d, args){
            		// console.debug ("doReload, d=" + d);
                    var max=data.length;
                    for(var i=0; i < max; i++) {
                        data.pop () ;
                        dijit.byId("grid").updateRowCount(0) ;
                    }
                    gridColumnWidthSave("grid","grid");
                    for(var i=0; i < d.content.length; i++) {
                        if (i==0) {
                            for(var q=1; q < column_names.length; q++) {
                                if (d.content[0][q] != "") {
                                    if (d.content[0][q] < 0) {
                                            var color = "<font color='#FF0033'>"
                                    } else {
                                            var color = "<font color='#009900'>"
                                    }
                                    if (grouped || readOnlyCol[q]) { // colonne lecture seule
                                      subrow [q-1] = { name: column_names[q]+"<br />"+color+d.content[0][q]+"</font>", cellClasses: subrow[q-1].cellClasses, classes: subrow[q-1].classes, field:q, width: columnWidths [q-1] } ;
                                    } else {
                                      subrow [q-1] = { name: column_names[q]+"<br />"+color+d.content[0][q]+"</font>", editor: dojox.grid.editors.Dijit, cellClasses: subrow[q-1].cellClasses, classes: subrow[q-1].classes, field:q, width: columnWidths [q-1] } ;
                                    }
                                } else {
                                  if (grouped || readOnlyCol[q]) { // colonne lecture seule
                                    subrow [q-1] = { name: column_names[q], cellClasses: subrow[q-1].cellClasses, classes: subrow[q-1].classes, field:q, width: columnWidths [q-1] } ;
                                  } else {
                                    subrow [q-1] = { name: column_names[q], editor: dojox.grid.editors.Dijit, cellClasses: subrow[q-1].cellClasses, classes: subrow[q-1].classes, field:q, width: columnWidths [q-1] } ;
                                  }
                                }
                            }
                        } else if (d.content [i] != "") {
                            data [i-1] = d.content [i] ;
                        }
                    }
              }
          });
        // console.debug ("refreshGrid data=" + data) ;
        var view = {rows: [ subrow ]};
        // console.debug ("view data=" + data) ;
        var structure = [ view ];
        // console.debug ("structure data=" + data) ;
        dijit.byId("grid").setStructure(structure);
        // console.debug ("structureset data=" + data) ;
        dijit.byId("grid").sizeChange ();
        // console.debug ("sizechange data=" + data) ;
        dijit.byId("grid").refresh ();
        // console.debug ("refresh=" + data) ;

		h3Elt = document.createElement("h3");
		h3Txt = document.createTextNode("Number of selected rows: " + data.length);
		h3Elt.appendChild(h3Txt);
		// console.log(h3Elt);
		total=dojo.byId ("total");
		if (total.hasChildNodes()) {
			total.removeChild (total.firstChild);
		}
	    total.appendChild (h3Elt);
            //"Number of selected rows: " + data.length + "";
    	// console.debug ('getElement');
    }

	var data=[[]];

    <?php

    # d�termine si une colonne est num�rique et/ou poss�de un op�rateur
    for ($col=1;$col<count($colName);$col++) {
        if (strstr ($colType[$col],"int")) {
                $colNumber [$col] = true ;
                if (preg_match_all ("/\[(.*)\]/",$colName[$col],$out,PREG_PATTERN_ORDER )) {
                    $colOp [$col] = true ;
                }
        } else {
                $colNumber [$col] = false;
        }
    }

    # cr�ation des colonnes de la grille
    $subrow  = "[ \n" ;
    for ($col=1;$col<count($colName);$col++) {
        $formatter="";
        $editor="";
        $name="";

        # tailles initiales des colonnes
        # TODO: sauvegarder tailles de l'utilisateur dans un cookie
        if ($DEF_COL_BY_TITLE) {
          $width=strlen ($colName[$col]);
        } else {
          switch ($colType[$col]) {
  			    case "string" :
  			      if ($colLength[$col] < $DEF_STRING_LENGTH) {
  			        $width = $colLength[$col];
  			      } else {
  			        $width = $DEF_STRING_LENGTH;
  			      }
  			      break;
  			    case "date" :
  			      $width = $DEF_DATE_LENGTH;
  			      break ;
  			    case "blob" :
  			      $width = $colLength[$col] ;
  			      break;
  			    case "int" :
  			      if ($colLength[$col] < $DEF_INT_LENGTH) {
  			        $width = $colLength[$col];
  			      } else {
  			        $width = $DEF_INT_LENGTH;
  			      }
  				    break;
  			  	}
        }
        # si colonne numérique avec opérateur: lecture seule et nettoyage du nom de la colonne
        if (($colNumber [$col] &&  $colOp [$col] ) || (!$UPDATE)) {
            $attributes = "cellClasses: 'yellowColumnData', classes: 'yellowColumn', width: $width";
            echo "readOnlyCol[$col]=true;\n" ;
            $name = preg_replace ("/\[.*\]/","", $colName [$col]) ;
        }
        # sinon la colonne sera modifiable
        else {
            $attributes = "editor: dojox.grid.editors.Dijit, width: $width";
            echo "readOnlyCol[$col]=false;\n" ;
            $name = $colName [$col] ;
        }
        # ajout de la colonne dans subrow
        $subrow = $subrow." { name: '".$name."', ". $attributes . ", field:".$col."}" ;
        if ($col < count ($colName) - 1 ) {
            $subrow = $subrow."," ;
        }
        $subrow = $subrow."\n" ;
    }
    $subrow = $subrow. " ]" ;
    echo "var subrow = ".$subrow. "; \n" ;
    ?>

    var model = new dojox.grid.data.Table(null, data);
    var view = {
        rows: [ subrow ]
    };
    var structure = [
        view
    ];

    </script>
</head>
<!-- onLoad="dojo.byId('remove').removeChild(document.getElementById('DivLoad'));" --> 
<body class="tundra" bgcolor="#FFFFFF" onLoad="dojo.byId('remove').removeChild(document.getElementById('DivLoad'));">
<div id="page" style="margin: 0 auto; background-color:<?php echo $BGCOLOR; ?>; width:100%;"  >
    <?php if ($LOGO) { ?><center><img src="mojito_lemon.gif"></center><?php }?>
    <div id="controls">
        <center>
            <h3>
                Search <input id="search" jsId="search" type="text" size="40" value="" onKeyUp="doReload();" />
                <button id="addbutton" onclick="addRow()">Add Row</button>
                <button id="delbutton" onclick="deleteRow()">Remove</button>
                <button id="gButton" onclick="aggColumn()">Group</button>
            </h3>
      </center>
    </div>
    <div id="total"></div>
    <div id="grid" jsId="grid" style="margin: 0 auto; width:90%; height:<?php echo $HEIGHT?>px;" dojoType="dojox.Grid" model="model" structure="structure" onStyleRow="onStyleRow" autoWidth="false"/>
    </div>
</div>
<?php include ("footer.php");?>
</body>
</html>
