<?php 
include ("mysql_login.php"); ?>
<html>
<head>
<TITLE> LemonData Mojito - User preferences </TITLE>
<link rel=stylesheet href="style.css" type="text/css">
<script type="text/javascript" src="/js/dojo/dojo/dojo.js" djConfig="isDebug:false, parseOnLoad:true, usePlainJson:true"></script>
<script type="text/javascript">
dojo.require("dojo.parser"); 

// ------------------------- JAVASCRIPT functions --------------------------------
delUser=false;
Array.prototype.inArray = function (value)
// Returns true if the passed value is found in the
// array. Returns false if it is not.
{
	var i;
	for (i=0; i < this.length; i++) {
	// Matches identical (===), not just similar (==).
		if (this[i] === value) {
			return true;
		}
	}
	return false;
};

function submitform(form)
{
 if (form.onsubmit())
 {//this check triggers the validations
    form.submit();
 }
}

function selectAllTablesList()
{
	if (document.admin_form.univers_name.value == "") {
		alert ("Please enter a name for the univers.");
		document.admin_form.univers_name.focus();
		return false;
	}
	node=dojo.byId ('tableslist');
	for (var i=0;i<node.length;i++) {
		node[i].selected=true;
	}
	return true;
}

function check_form()
{
 var action=document.admin_form.action.value;

 if (action=="updUnivers") {
	return (selectAllTablesList());
 } 
 if (action=="delUnivers") {
	return (confirm("Are you sure to want to DELETE the selected univers ?")); 
 }  
 if (action=="delUser")  {
	return (confirm("Are you sure to want to DELETE the selected user ?")); 
 }
 if (action=="updUser") {
   if(document.admin_form.new_password.value == "")  {
   	alert("Please enter the password.");
  	document.admin_form.new_password.focus();
      return false;
   }
   if(document.admin_form.new_password.value != document.admin_form.new_password2.value)  {
  	alert("Password confirmation failed, please check.");
  	document.admin_form.new_password2.focus();
  	return false;
   }
   return true;
 }
}

function loadDetails() {
	var u=dojo.byId("userslist").value;
	// console.log (univers);
	//console.log("avant xhrPost");
    dojo.xhrPost({
        url:"mysql_list_users_details.php?u="+u,
        sync: true,
        handleAs: 'json',
        load: function (d) {
        	//console.log(d.content[0]);
        	document.admin_form.id_user.value=u;
			document.admin_form.name.value=d.content[0];
			document.admin_form.first_name.value=d.content[1];
			document.admin_form.email.value=d.content[2];					
    	}
	});	
	//console.log("apres xhrPost");
}		

function loadUnivers() {
	var u=dojo.byId("universlist").value;
	// console.log (univers);
	//console.log("avant xhrPost");

	// load _moj_univers.title
    dojo.xhrPost({
        url:"mysql_list_univers_details.php?u="+u,
        sync: true,
        handleAs: 'json',
        load: function (d) {
        	//console.log(d.content[0]);
        	document.admin_form.univers_title.value=d.content[0];
    	}
	});	

	document.admin_form.univers_name.value=u;
	
	// load _moj_univers_tables
    dojo.xhrPost({
        url:"mysql_list_univers_tables.php?u="+u,
        sync: true,
        handleAs: 'json',
        load: function (d) {
    		node=dojo.byId('tableslist');
    		while (node.hasChildNodes())
    		{
    			node.removeChild(node.firstChild);
    		}
            for (var i=0;i<d.content.length;i++) {
    			tableName=d.content[i];
    			if (tableName != "_Stats " +u) {
    			// create a new option node
        			nodeNew = document.createElement("option");
        			nodeNew.setAttribute ("value",tableName);
        			nodeTxt = document.createTextNode(tableName);
        			nodeNew.appendChild(nodeTxt);
        			node.appendChild (nodeNew); 
    			}
    			//options=options+"<option value="+tableName+">"+tableName+"</option>";
    		}
    	}       			       
	});	

  	// load the remaining table of the database
    dojo.xhrPost({
        url:"mysql_list_remaining_tables.php?u="+u,
        sync: true,
        handleAs: 'json',
        load: function (d) {
    		node=dojo.byId('alltables');
    		while (node.hasChildNodes())
    		{
    			node.removeChild(node.firstChild);
    		}
          for (var i=0;i<d.content.length;i++) {
  			tableName=d.content[i];
  			// create a new option node
    			nodeNew = document.createElement("option");
    			nodeNew.setAttribute ("value",tableName);
    			nodeTxt = document.createTextNode(tableName);
    			nodeNew.appendChild(nodeTxt);
    			node.appendChild (nodeNew); 
  		}   	           					
    	}
    });
	//console.log("apres xhrPost");
}

function moveList (srcList, targetList) {
	// first retrieve the selected elements of srcList
	var tabOptions=dojo.byId(srcList).options;
	//console.log (tabOptions);
	var selectedOptions=new Array();
	var nbOptions=tabOptions.length;
	var q=0;
	for (var i=0;i<nbOptions;i++) {
		if (tabOptions[i].selected==true) {
			selectedOptions[q]=tabOptions[i].text;
			q++;
		}
	}
	// then add new option nodes to targetList
	node=dojo.byId (targetList);
	for (i=0;i<selectedOptions.length;i++) {
		nodeNew = document.createElement("option");
		nodeNew.setAttribute ("value",selectedOptions[i]);
		nodeTxt = document.createTextNode(selectedOptions[i]);
		nodeNew.appendChild(nodeTxt);
		node.appendChild (nodeNew); 
	}
	// and delete new option nodes from srcList
	node=dojo.byId(srcList);
	//console.log(node);
	//console.log(selectedOptions);
	for (i=0; i<selectedOptions.length;i++) {
		q=-1;
		node=dojo.byId(srcList);
		//console.log (node);
		nbNodes=node.length;
		found=false;
		do {	
			q++;
			//console.log(q);
			//console.log (node[q]);
			if (node[q].text==selectedOptions[i]) {
				node.removeChild (node[q]);	
				found=true;	
			} 
		} while (q<(nbNodes-1) && !found );
	}
}

</script>

</head>
<body class="tundra" bgcolor="#FFFFFF">
<?php
include "header.php";
if ($user != "admin")
{
  
  // check if the admin user exists (first time after installation)

    $requete = "select count(*) from _moj_users where id_user='admin'";
    $result = mysql_query ($requete) or die ("Error sql");
    $ligne = mysql_fetch_row ($result);
    if ($ligne[0] == 1 ) // insert 
    { 
      die ("<h3><B>Sorry, only the user admin can access to this page.</B></h3>") ;      
    }  else
    {
      ?><h3><B>You should create an admin user now to restrict the access to this page.</B></h3><BR><?php 
    }
}

?>

<?php 

// ------------------------- PHP actions after the forms submiting ------------------------
if ($action=="delUnivers") {
    $requete = "delete from _moj_univers where id_univers='$univers_name'";
    $result  = mysql_query ($requete) or die("Delete failed, please contact your administrator");     
    $requete = "delete from _moj_univers_tables where id_univers='$univers_name'";
    $result  = mysql_query ($requete) or die("Delete failed, please contact your administrator");         
    echo "<h3><B>Univers $univers_name deleted.</B></h3>";
}

if ($action=="delUser") {
    $requete = "delete from _moj_users where id_user='$id_user'";
    $result  = mysql_query ($requete) or die("Delete failed, please contact your administrator");     
    echo "<h3><B>User $id_user deleted.</B></h3>";
}

if ($action=="updUnivers") {
  // check if the univers exist
  $requete = "select count(*) from _moj_univers where id_univers='$univers_name'";
  $result = mysql_query ($requete) or die ("Error sql");
  $ligne = mysql_fetch_row ($result);
  if ($ligne[0] == 1 ) // update
  {
    // if exists update _moj_univers.title
    $requete = "update _moj_univers set title='$univers_title' where id_univers='$univers_name'";
    $result  = mysql_query ($requete) or die("Update failed, please contact your administrator");    
 
    // if exists delete _moj_univers_tables    
    $requete = "delete from _moj_univers_tables where id_univers='$univers_name'";
    $result  = mysql_query ($requete) or die("Delete failed, please contact your administrator");   
  }
  else  // insert
  {
    $requete = "insert into _moj_univers values ('$univers_name','$univers_title')";
    $result  = mysql_query ($requete) or die("Insert failed, please contact your administrator");     
  }
   
  // in all cases, insert into _moj_univers_tables
  for($i=0;$i<sizeof($tableslist);$i++) {
    $requete = "insert into _moj_univers_tables values ('$univers_name','$tableslist[$i]')";
    $result  = mysql_query ($requete) or die("Insert failed, please contact your administrator");       
  }
  
  if ($ligne[0] == 1) {
    echo "<h3><B>Univers $univers_name updated.</B></h3>";
  } else {
    echo "<h3><B>Univers $univers_name created.</B></h3>";
  }
  
}


if ($action=="updUser") { // update or add a user
  // check password confirmation
 if ($new_password !="" && $new_password != $new_password2) {
  ?><B> The password confirmation failed, please check. </B><?php
 } else {
    // check if it is an insert or an update 
    $requete = "select count(*) from _moj_users where id_user='$id_user'";
    $result = mysql_query ($requete) or die ("Error sql");
    $ligne = mysql_fetch_row ($result);
    if ($ligne[0] == 0 ) // insert 
    {    
      $new_password = md5 ($new_password);
      $requete = "insert into _moj_users values ('$id_user', '$name', '$first_name', '$new_password', '$email')";
      $result  = mysql_query ($requete) or die("Insert failed, please contact your administrator");
      $requete = "insert into _moj_dashboards values ('$id_user', '', '', '', '','','',0,0,0)";
      $result  = mysql_query ($requete) or die("Insert failed, please contact your administrator");
      echo "<h3>User $id_user created.</B></h3>";
      if ($id_user=="admin") {
        die();
      }
    } 
    else // update
    {
      // update password if entered
      if ($new_password !="") {
        $new_password=md5($new_password);
        $requete = "update _moj_users set password='$new_password' where id_user='$id_user'";
        $result  = mysql_query ($requete) or die("Update failed, please contact your administrator");
      }   
      
      // update the others fields 
      $requete = "update _moj_users set name='$name', first_name='$first_name', email='$email' where id_user='$id_user'";
      $result  = mysql_query ($requete) or die("Update failed, please contact your administrator");    
      echo "<h3><B>User $id_user updated.</B></h3>";  
    }
  }   
}
// reset filed
$id_user="";
$name="";
$first_name="";
$email="";    
?>


<h1>Administration</h1>

<!--------------------------- 1st part for users management ------------------------->
 
  <form name="admin_form" 
        action="<?php global $url; echo $url;?>" 
        method="post" 
        onSubmit="return check_form();"
        onKeyPress="if (event.keyCode==13) { 
			if (curFocus == 'users') { document.admin_form.action.value='updUser'; }
			else { document.admin_form.action.value='updUnivers'; }
        	submitform(document.admin_form);
           }">
  <input type="hidden" name="action"/>

  <table align="center" halign="center" width="80%" cellspacing="0" cellpadding="0">
  <tr bgcolor="<?php echo $BGCOLOR; ?>"><td width="20%"><h3><b>Users</b></h3></td>
  <td>
  <select onFocus="curFocus='users';" id="userslist" onchange="loadDetails();">
  <option value=""></option>
      <?php 
          $requete = "select id_user from _moj_users";
          $result = mysql_query ($requete) or die ("Error sql");
          while ($ligne = mysql_fetch_row ($result)) {
            echo "<option value=\"$ligne[0]\">$ligne[0]</option>";
          }
      ?>
  </select>
  </td>  
  <td align="right">
     <input onFocus="curFocus='users';" type="button" name="delUser" value="Delete" onClick="document.admin_form.action.value='delUser';submitform(document.admin_form);">	
  </td>
  </tr>
  <tr><td>User:</td><td><input onFocus="curFocus='users';" type="user" name="id_user" value="<?php echo $id_user;?>" size="20" maxlength="20"><br><br></td></tr>
  <tr><td>Password:</td><td><input onFocus="curFocus='users';" type="password" name="new_password" size="30" maxlength="30"><br><br></td></tr>
  <tr><td>Password (confirmation):</td><td><input onFocus="curFocus='users';" type="password" name="new_password2" size="30" maxlength="30"><br><br></td></tr>

  <tr><td>Name:</td><td><input onFocus="curFocus='users';" type="text" name="name" value="<?php echo $name;?>" size="30" maxlength="30"><br><br></td></tr>
  <tr><td>First name:</td><td><input onFocus="curFocus='users';" type="text" name="first_name" value="<?php echo $first_name;?>" size="30" maxlength="30"><br><br></td></tr>
  <tr><td>E-mail:</td><td><input onFocus="curFocus='users';" type="text" name="email" value="<?php echo $email;?>" size="30" maxlength="30"><br><br></td></tr>
  
  <tr><td align="center" colspan="2"><input onFocus="curFocus='users';" type="button" name="addupd" value="Add or update user" onClick="document.admin_form.action.value='updUser';submitform(document.admin_form);"></td></tr>
 
 </table>
 
 <!----------------------------- 2nd part for univers management ------------------------>
 <table align="center" halign="center" width="80%" cellspacing="0" cellpadding="0">
  <tr bgcolor="<?php echo $BGCOLOR; ?>"><td><h3><b>Univers</b></h3></td>
  <td colspan="4"> 
  <select onFocus="curFocus='univers';" id="universlist" onChange="loadUnivers();">
  <option value=""></option>
      <?php 
          $requete = "select id_univers from _moj_univers";
          $result = mysql_query ($requete) or die ("Error sql");
          while ($ligne = mysql_fetch_row ($result)) {
            echo "<option value=\"$ligne[0]\">$ligne[0]</option>";
          }
      ?>
  </select>
 </td>
 <td>
 <input onFocus="curFocus='univers';" type="button" name="delUnivers" value="Delete" onclick=" { document.admin_form.action.value='delUnivers';submitform(document.admin_form); }">	
 </td>
 </tr>
 <tr>
  <td width="20%"> Univers:</td>
 <td colspan="4"><input onFocus="curFocus='univers';" type="text" name="univers_name" size="30" maxlength="30"></td></tr>
  <td width="20%"> Univers title:</td>
 <td colspan="4"><input onFocus="curFocus='univers';" type="text" name="univers_title" size="30" maxlength="30"></td></tr>
 <tr><td>Tables list</td>
 <td>
   <select onFocus="curFocus='univers';" id="alltables" multiple>
      <?php 
          $requete = "select table_name from information_schema.tables where table_schema='$DB_NAME' and table_name not like '_moj_%'";
          $result = mysql_query ($requete) or die ("Error sql");
          while ($ligne = mysql_fetch_row ($result)) {
            echo "<option value=\"$ligne[0]\">$ligne[0]</option>";
          }
      ?>    
  </select>
  <td>
  <button onFocus="curFocus='univers';" type="button" name="add" onclick="moveList('alltables','tableslist');">>></button>
  <br>
  <button onFocus="curFocus='univers';" type="button" name="del" onclick="moveList('tableslist','alltables');"><<</button>
  </td>
  <td>
  	<select onFocus="curFocus='univers';" id="tableslist" name="tableslist[]" multiple> 	
  	</select>
  </td>
  <td width="50%"></td>
  </tr>
  <tr><td colspan="5" align="center" colspan="2"><input onFocus="curFocus='univers';" type="button" name="updUnivers" value="Add or update the univers" onclick="document.admin_form.action.value='updUnivers';submitform(document.admin_form);">
  </form>
  </td></tr> 
  </table> 
<?php include ("footer.php");?>
</body>
</html>

