<?php

# Requête d'initalisation des variables utilisées dans le template
include ("conf.php3");
include ("mysql_connect.php");
include ("mysql_functions.php");
include ("mysql_load_table_properties.php");

###################################################################################
# Creation de la requete complete avec criteres de recherches et/ou de tri
# le contenu de la recherche sera recherche dans tous les champs
# + non numérique de la table
###################################################################################
$condition="";
$condition1="";
$condition2="";

if ($recherche) {
  // condition1 : au moins un champ texte contient la chaine a rechercher
  $i = 0;
  for ($col=1;$col<count($colName);$col++) {
      if ($i>0) {
        $condition1=$condition1." or ";
      }
      if (!strstr ($colType [$col],"int")) {
      	$condition1=$condition1." (".$colName[$col]." LIKE '%$recherche%')"  ;
      } else {
      	if (isSoustractColumn ($colName[$col],$col1, $col2)) {
      		$condition1=$condition1." (CONVERT (".$colName [$col1]."-".$colName [$col2].", CHAR) LIKE '%$recherche%')"  ;
      	} elseif (isSumColumn ($colName[$col],$col1, $col2)) {
      		$condition1=$condition1." (CONVERT (".$colName [$col1]."+".$colName [$col2].", CHAR) LIKE '%$recherche%')"  ;
      	} elseif (isMultiplicateColumn ($colName[$col],$col1, $col2)) {
      		$condition1=$condition1." (CONVERT (".$colName [$col1]."*".$colName [$col2].", CHAR) LIKE '%$recherche%')"  ;
      	} else {
      		$condition1=$condition1." (CONVERT (".$colName[$col].", CHAR) LIKE '%$recherche%')"  ;
	      }
	    }
      $i++;
  }

	// condition2 : ou tous les champs textes sont vides
  $i = 0;
  for ($col=1;$col<count($colName);$col++) {
  	if (!preg_match_all ("/\[(.*)\]/",$colName[$col],$out,PREG_PATTERN_ORDER )) {
	    if ($i>0) {
	      $condition2=$condition2." and ";
	    }
	    $condition2=$condition2.$colName[$col]." IS NULL"  ;
	    $i++;
	  }
	}

	$condition = " where (".$condition1.") or (".$condition2.")" ;
}
if ($o) {
  $o = str_replace ("_DESC"," DESC", $o);
  $o = str_replace ("_ASC"," ASC", $o);
  $ordre = " order by ".stripslashes($o);
} else {
  $ordre = " order by rowid";
}

$group="";
$select = "select ";
// pourquoi on passe par le numero de colonne alors que le nom est dispo dans le javascript ?
if ($g) {
	if (isSoustractColumn ($colName[$g], $colNum1, $colNum2)) {
		$gVal = "($colName[$colNum1] - $colName[$colNum2])";
	} elseif (isSumColumn ($colName[$g], $colNum1, $colNum2)) {
		$gVal = "($colName[$colNum1] + $colName[$colNum2])";
	} elseif (isMultiplicateColumn ($colName[$g], $colNum1, $colNum2)) {
		$gVal = "($colName[$colNum1] * $colName[$colNum2])";
  } else {
    $gVal = $colName[$g];
  }
  $group=" group by $gVal";
  $i = 0 ;
  while ($i<$nb_fields) {
    if ($i == $g ) {
      $select = $select." ".$gVal.",";
    }
    elseif (strstr ($colType[$i],"int")) {
  		if (isSoustractColumn ($colName [$i],$colNum1, $colNum2)) {
  			$select = $select."sum($colName[$colNum1] - $colName[$colNum2])," ;
  		} elseif (isSumColumn ($colName [$i],$colNum1, $colNum2)) {
  			$select = $select."sum($colName[$colNum1] + $colName[$colNum2])," ;
  		} elseif (isMultiplicateColumn ($colName [$i],$colNum1, $colNum2)) {
  			$select = $select."sum($colName[$colNum1] * $colName[$colNum2])," ;
      } else {
        $select = $select." sum(".$colName [$i]."),";
     }
    }  else
    {
      $select = $select."'multi-value',";
    }
  $i++;
  }
  $select=$select."count(*)";
  #$select [strlen ($select)-1]=" ";
} else {
  $select = $select."*" ;
}

$from   = " from $t ";
$requete = $select.$from.$condition.$group.$ordre;

if ($debug) {
  echo $requete;
}

####################################################################################
# Affichage des données
####################################################################################
$data = "[ \n" ;
$result  = mysql_query ($requete) or die("Query failed");
# pour chaque ligne de résultat

# affichage de la 1ere lignes avec les sommes des colonnes de calculs
$data = $data."[ " ;
$i = 0 ;
while ($i<$nb_fields) {
	$requete_sum = "" ;
	if (strstr ($colType[$i],"int")) {
		if (isSoustractColumn ($colName [$i],$colNum1, $colNum2)) {
			$requete_sum = "select sum($colName[$colNum1] - $colName[$colNum2]) from $t ".$condition ;
		} elseif (isSumColumn ($colName [$i],$colNum1, $colNum2)) {
			$requete_sum =  "select sum($colName[$colNum1] + $colName[$colNum2]) from $t ".$condition ;
		} elseif (isMultiplicateColumn ($colName [$i],$colNum1, $colNum2)) {
			$requete_sum = "select sum($colName[$colNum1] * $colName[$colNum2]) from $t ".$condition ;
		} else {
			$requete_sum = "select sum($colName[$i]) from $t ".$condition ;
		}
  	$result_sum = mysql_query ($requete_sum) or die("Query failed");
  	$value_sum = mysql_fetch_row ($result_sum);
  	if ($value_sum[0] == "") {
  		$data = $data."'0'" ;
  	} else {
			$data = $data.$value_sum[0] ;
		}
	} else {
		$data = $data."''" ;
	}

	if ($i< ($nb_fields-1)) {
		$data = $data.',' ;
	}
	$i++;
}
$data = $data."], \n" ;

# affichage des lignes de données
$row=0 ;
while ($ligne = mysql_fetch_row ($result)) {
	$data = $data."[ " ;
	$rowid = $ligne [0];
	$i=0 ;
	while ($i<$nb_fields) {
	  $data=$data."'";
		if (isSoustractColumn ($colName [$i],$colNum1, $colNum2)) {
			$data = $data.($ligne[$colNum1] - $ligne[$colNum2]);
		} elseif (isSumColumn ($colName [$i],$colNum1, $colNum2)) {
			$data = $data.($ligne[$colNum1] + $ligne[$colNum2]);
		} elseif (isMultiplicateColumn ($colName [$i],$colNum1, $colNum2)) {
			$data = $data.($ligne[$colNum1] * $ligne[$colNum2]);
		} else {
			$data = $data.htmlentities($ligne [$i]) ;
		}
		# on ajoute le nombre de lignes de l'aggregation :count (*) en champ supplémentaire du select
		if ($i==$g && $g>0) {
		  $data=$data."($ligne[$nb_fields])";
		}
		$data=$data."'";
		if ($i< ($nb_fields-1)) {
			$data = $data.',' ;
		}
		$i++;
	}
	$data = $data."], \n" ;
	$row++ ;
}
if ($row > 0) {
	$data[strlen ($data) - 3]=' ' ;
} else {
	$data=$data."[ ]" ;
}
$data = $data." ]" ;
echo '{ "content" : '. $data.' }' ;
?>